Skip to content
Start here

Lists attackers across multiple datasets

GET/accounts/{account_id}/cloudforce-one/events/attackers

Lists attackers across multiple datasets

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
Path ParametersExpand Collapse
account_id: string

Account ID.

Query ParametersExpand Collapse
datasetIds: optional array of string

Array of dataset IDs to query attackers from. If not provided, uses the default dataset.

ReturnsExpand Collapse
items: object { type }
type: string
type: string

Lists attackers across multiple datasets

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/events/attackers \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "items": {
    "type": "string"
  },
  "type": "array"
}
Returns Examples
{
  "items": {
    "type": "string"
  },
  "type": "array"
}